<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Astra
 * @since 1.0.0
 */

?>

<?php ast_entry_before(); ?>

<article itemtype="http://schema.org/CreativeWork" itemscope="itemscope" id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php ast_entry_top(); ?>

	<header class="entry-header">

		<?php the_title( sprintf( '<h2 class="entry-title" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

	</header><!-- .entry-header -->

	<div class="entry-content clear" itemprop="text">

		<?php ast_entry_content_before(); ?>

		<?php
			the_content( sprintf(
				/* translators: %s: Name of current post. */
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'astra' ), array(
					'span' => array(
						'class' => array(),
					),
				) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );
		?>

		<?php ast_entry_content_after(); ?>

		<?php
			wp_link_pages( array(
				'before'      => '<div class="page-links">' . ast_default_strings( 'string-single-page-links-before', false ),
				'after'       => '</div>',
				'link_before' => '<span class="page-link">',
				'link_after'  => '</span>',
			) );
		?>
	</div><!-- .entry-content .clear -->

	<footer class="entry-footer">
		<?php ast_entry_footer(); ?>
	</footer><!-- .entry-footer -->

	<?php ast_entry_bottom(); ?>

</article><!-- #post-## -->

<?php ast_entry_after(); ?>
